Show more

単純に使い勝手が悪い気がしている、気のせいか?

AWSのSDK触ってからGCPのSDK触るとアアアア?ってなる

議論の結果として「なんもわからん」になった

先日Next.js v10.0.6がリリースされたのですが、パッチリリースなのですがとても大きな変更が加えられていて注意が必要です。

というのもNext.js v10.0.6からwebpackが同梱されるようになりdependenciesからwebpackがなくなりました。その結果としてnext.config.jsでwebpackの設定を拡張してプラグインを追加している場合にwebpackを見付けられないためエラーになってしまいます。

もちろんdevDependenciesにwebpackを追加すれば解決しますが、一点注意が必要な点があってwebpack v5ではなくwebpack v4を追加しなければならない点です。現時点のNext.jsはデフォルトでwebpack v4が使われます。

Release v10.0.6 · vercel/next.js github.com/vercel/next.js/rele

Show more
mstdn.unasuke.com

unasuke の個人インスタンスです。